Name:           kdbg
Version:        3.0.1
Release:        %mkrel 3
License:        GPLv2+
Summary:        A Graphical Debugger Interface
Group:          Development/Other
URL:            http://www.kdbg.org
Source:         http://downloads.sourceforge.net/kdbg/%{name}-%{version}.tar.gz
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5WindowSystem)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       gdb

%description
KDbg is a graphical user interface to gdb, the GNU debugger.

It provides an intuitive interface for setting breakpoints,
inspecting variables, and stepping through code.

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html

%files -f %{name}.lang
%_kf5_bindir/%{name}
%_kf5_sysconfdir/xdg/kdbgrc
%_kf5_applicationsdir/%{name}.desktop
%_kf5_datadir/%{name}/
%_kf5_datadir/kxmlgui5/%{name}/
%_kf5_iconsdir/hicolor/*/apps/%{name}.png
%_kf5_iconsdir/hicolor/*/apps/%{name}.svgz


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 3.0.1-3.mga8
+ Revision: 1658655
- Rebuild for new Qt5

* Tue Feb 18 2020 umeabot <umeabot> 3.0.1-2.mga8
+ Revision: 1541796
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1475443
- new version: 3.0.1
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 3.0.0-3.mga7
+ Revision: 1382201
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.0.0-2.mga7
+ Revision: 1298468
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1187710
- new version: 3.0.0
- port to Qt5/Kf5

* Sat Oct 07 2017 daviddavid <daviddavid> 2.9.1-1.mga7
+ Revision: 1170049
- new version: 2.9.1

* Fri Aug 11 2017 daviddavid <daviddavid> 2.9.0-1.mga7
+ Revision: 1139835
- new version: 2.9.0
- remove merged upstream patch

* Thu Mar 24 2016 tv <tv> 2.5.4-5.mga6
+ Revision: 994770
- add cmake-3.5 build fix from FC
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.4-3.mga5
+ Revision: 745856
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.4-2.mga5
+ Revision: 680966
- Mageia 5 Mass Rebuild

* Thu May 01 2014 anaselli <anaselli> 2.5.4-1.mga5
+ Revision: 619319
- New version 2.5.4

* Sat Oct 19 2013 umeabot <umeabot> 2.5.3-2.mga4
+ Revision: 523330
- Mageia 4 Mass Rebuild

* Sun Apr 07 2013 anaselli <anaselli> 2.5.3-1.mga3
+ Revision: 408754
- new 2.5.3 as a bug fixing release

* Sat Jan 12 2013 umeabot <umeabot> 2.5.2-2.mga3
+ Revision: 355919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 03 2012 anaselli <anaselli> 2.5.2-1.mga3
+ Revision: 287646
- New 2.5.2 version

* Fri Oct 28 2011 fwang <fwang> 2.5.1-1.mga2
+ Revision: 158925
- new version 2.5.1

* Fri Jul 15 2011 anaselli <anaselli> 2.5.0-1.mga2
+ Revision: 124417
- imported package kdbg

